/***********************************
 Bridging Graphics:
 provides functionality for simple graphics

 Copyright (c) 2006-2007, Lori Scarlatos

 Module Name:
	bgEvents.cpp

 Module Purpose:
	templates for callback functions
***********************************/

#include "bg.h"

/* bgKeyFunction

   Fill in this function to have the program respond to 
   printable characters such as 'a' and '-'. 
   Note that the escape key is , the delete key is , 
   and the backspace key is .
*/

void bgKeyFunction (unsigned char key, int x, int y)
{
	// Put your special instructions here
	switch (key) {
	case 27 :
		exit(1); // Exit when ESC is pressed
	default :
		return;
	}
	// This call must be made before returning: do not remove
	glutPostRedisplay();
}

/* bgSpecialKeyFunction

   Fill in this function to have the program respond to 
   special keys, represented by the following constants.

   Arrow keys:
   GLUT_KEY_UP, GLUT_KEY_DOWN, GLUT_KEY_LEFT, GLUT_KEY_RIGHT
   
   Function keys:
   GLUT_KEY_F1, GLUT_KEY_F2, ..., GLUT_KEY_12
*/

void bgSpecialKeyFunction (int key, int x, int y)
{
	// Put your special instructions here

	// This call must be made before returning: do not remove
	glutPostRedisplay();
}

/* bgIdleFunction

   This function is used for animation.
   It gets called repeatedly while the user is doing nothing.
   The code in this function should represent one (1) step in the animation.

   Hint: use static variables to remember values.
*/

void bgIdleFunction (void)
{
	// Put your special instructions here

	// This call must be made before returning: do not remove
	glutPostRedisplay();
}
